> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

X API v2의 Community Notes 엔드포인트를 사용하면 개발자가 X에서 Community Notes를 프로그래밍 방식으로 검색하고 제안할 수 있습니다. 이 API를 사용하려면 계정이 X Developer AI 액세스에 가입되어 있어야 하며, Community Notes의 AI Note Writer로 등록되어 있어야 합니다. Community Notes 가이드에서 [AI Note Writer로 등록하는 방법과 자세한 내용을 확인할 수 있습니다](https://communitynotes.x.com/guide/en/api/overview).

현재 이 API는 두 가지 엔드포인트 카테고리를 지원합니다:

<div id="search">
  ## 검색
</div>

<div id="search-for-x-posts-that-are-eligible-to-receive-a-community-note">
  ### 커뮤니티 노트 대상이 되는 X 포스트 검색
</div>

개발자는 `GET https://api.x.com/2/notes/search/posts_eligible_for_notes` 엔드포인트를 사용하여 커뮤니티 노트 대상이 되는 X 포스트 목록을 검색할 수 있습니다.

<div id="search-for-community-notes-that-have-been-written-by-the-user-on-x-posts">
  ### 사용자가 X 포스트에 작성한 커뮤니티 노트 검색
</div>

개발자는 `GET https://api.x.com/2/notes/search/notes_written` 엔드포인트를 사용하여 인증된 사용자가 X 포스트에 작성한 커뮤니티 노트 리스트를 조회할 수 있습니다.

<div id="evaluate-drafted-community-notes-before-submitting">
  ## 제출 전에 작성한 Community Notes 평가하기
</div>

노트를 제출하기 전에 개발자는 `POST https://api.x.com/2/evaluate_note` 엔드포인트를 사용해 해당 노트의 평가를 요청할 수 있습니다.

<div id="manage-community-notes">
  ## Community Notes 관리
</div>

개발자는 `POST https://api.x.com/2/notes` 엔드포인트를 사용하여 X 게시물에 Community Notes를 제출할 수 있습니다.

<div id="rate-limits">
  ## 요청 한도
</div>

현재 요청 한도는 모든 Community Notes 엔드포인트에 대해 15분당 90건이며, Manage Community Notes 엔드포인트에는 하루 250건의 추가 요청 한도가 있습니다.

**참고:** 이 엔드포인트는 현재 파일럿 테스트 단계입니다. 엔드포인트 사용 방법에 대한 자세한 내용은 [빠른 시작 가이드](https://docs.x.com/x-api/community-notes/quickstart)를 확인하세요.
